Skip to main content
`Ctrl`+`K`

# PEPSetUp

Sets up all the internal data structures necessary for the execution of the polynomial eigensolver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetUp(PEP pep)

Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Notes

This function need not be called explicitly in most cases, since `PEPSolve()` calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPCreate()`, `PEPSolve()`, `PEPDestroy()`

## Level

developer

## Location

src/pep/interface/pepsetup.c

## Examples

src/pep/tutorials/ex38.c

## Implementations

PEPSetUp_CISS() in src/pep/impls/ciss/pciss.c
PEPSetUp_JD() in src/pep/impls/jd/pjd.c
PEPSetUp_QArnoldi() in src/pep/impls/krylov/qarnoldi/qarnoldi.c
PEPSetUp_STOAR() in src/pep/impls/krylov/stoar/stoar.c
PEPSetUp_TOAR() in src/pep/impls/krylov/toar/ptoar.c
PEPSetUp_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages